# Uses of Interface
javax.sound.sampled.SourceDataLine

Packages that use SourceDataLine
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of SourceDataLine in javax.sound.sampled

Methods in javax.sound.sampled that return SourceDataLine
Modifier and Type
Method
Description
`static SourceDataLine`
AudioSystem.`getSourceDataLine(AudioFormat format)`
Obtains a source data line that can be used for playing back audio data in the format specified by the `AudioFormat` object.
`static SourceDataLine`
AudioSystem.`getSourceDataLine(AudioFormat format, Mixer.Info mixerinfo)`
Obtains a source data line that can be used for playing back audio data in the format specified by the `AudioFormat` object, provided by the mixer specified by the `Mixer.Info` object.